Debian Bug report logs - #700058
fonts-hanazono: does not remove ttf-japanese-mincho.ttf alternative on upgrades from squeeze

version graph

Package: fonts-hanazono; Maintainer for fonts-hanazono is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>; Source for fonts-hanazono is src:fonts-hanazono.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Thu, 7 Feb 2013 23:33:01 UTC

Severity: important

Tags: patch

Found in version 20120421-2

Fixed in version fonts-hanazono/20120421-1.1

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700058; Package fonts-hanazono. (Thu, 07 Feb 2013 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Thu, 07 Feb 2013 23:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fonts-hanazono: does not remove ttf-japanese-mincho.ttf alternative on upgrades from squeeze
Date: Fri, 08 Feb 2013 00:32:16 +0100
[Message part 1 (text/plain, inline)]
Package: fonts-hanazono
Version: 20120421-2
Severity: important
Tags: patch
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

<template>

during a test with piuparts I noticed your package left unowned files on
the system after purge, which is a violation of policy 6.8:

http://www.debian.org/doc/debian-policy/ch-maintainerscripts.html#s-removedetails

The leftover files are actually alternatives that were installed by the
package but have not been properly removed.

While there is ongoing discussion how to remove alternatives correctly
(see http://bugs.debian.org/71621 for details) the following strategy
should work for regular cases:
* 'postinst configure' always installs the alternative
* 'prerm remove' removes the alternative
* 'postrm remove' and 'postrm disappear' remove the alternative
In all other cases a maintainer script is invoked (e.g. upgrade,
deconfigure) the alternatives are not modified to preserve user
configuration.
Removing the alternative in 'prerm remove' avoids having a dangling link
once the actual file gets removed, but 'prerm remove' is not called in
all cases (e.g. unpacked but not configured packages or disappearing
packages) so the postrm must remove the alternative again
(update-alternatives gracefully handles removal of non-existing
alternatives).

Note that the arguments for adding and removing alternatives differ, for
removal it's 'update-alternatives --remove <name> <path>'.

Filing this as important as having a piuparts clean archive is a release
goal since lenny.

</template>

>From the attached log (scroll to the bottom...):

0m55.2s INFO: Warning: Package purging left files on system:
  /etc/alternatives/ttf-japanese-mincho.ttf -> /usr/share/fonts/truetype/hanazono/hanazono.ttf	 not owned
  /usr/share/fonts/	 owned by: fonts-hanazono
  /usr/share/fonts/truetype/	 owned by: fonts-hanazono
  /usr/share/fonts/truetype/ttf-japanese-mincho.ttf -> /etc/alternatives/ttf-japanese-mincho.ttf	 not owned

I'll add a patch once I get the bug number. It does two things:

* Add preinst to the transitional package to remove
  the alternative there. But there is real no guarantee for the transitional
  being installed at all ... but if it is installed, u-a won't emit a
  diagnostic about something dangling ...
* fonts-hanazono.preinst: run the alternative cleanup on fresh installation
  to ensure the cleanup is run even if the transitionals are not used

Please get this fixed in sid and unblocked for wheezy to fix this
upgrade problem. I also offer (and intend to) to NMU fonts-hanazono to take
care of this.

I verified this fix by checking several install and upgrade paths.


cheers,

Andreas
[ttf-hanazono_20120421-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700058; Package fonts-hanazono. (Thu, 07 Feb 2013 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Thu, 07 Feb 2013 23:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 700058@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <700058@bugs.debian.org>
Subject: Re: fonts-hanazono: does not remove ttf-japanese-mincho.ttf alternative on upgrades from squeeze
Date: Fri, 08 Feb 2013 00:45:22 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #700058

Attaching the patch. This patch uses versions for a maintainer upload of
20120421-2, for a NMU I'd do s/20120421-2/20120421-1.1/.


Andreas
[700058.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700058; Package fonts-hanazono. (Mon, 11 Feb 2013 14:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Mon, 11 Feb 2013 14:09:06 GMT) Full text and rfc822 format available.

Message #15 received at 700058@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 700058@bugs.debian.org
Subject: Re: fonts-hanazono: does not remove ttf-japanese-mincho.ttf alternative on upgrades from squeeze
Date: Mon, 11 Feb 2013 15:06:55 +0100
On 2013-02-08 00:32, Andreas Beckmann wrote:
> Please get this fixed in sid and unblocked for wheezy to fix this
> upgrade problem. I also offer (and intend to) to NMU fonts-hanazono to take
> care of this.

NMU uploaded to DELAYED/5
Please let me know if I should delay it longer,

Andreas



Added tag(s) pending. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 23:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>:
Bug#700058; Package fonts-hanazono. (Wed, 13 Feb 2013 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>. (Wed, 13 Feb 2013 06:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 700058@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 700058@bugs.debian.org
Subject: Re: fonts-hanazono: does not remove ttf-japanese-mincho.ttf alternative
Date: Wed, 13 Feb 2013 15:38:32 +0900
> On 2013-02-08 00:32, Andreas Beckmann wrote:
>> Please get this fixed in sid and unblocked for wheezy to fix this
>> upgrade problem. I also offer (and intend to) to NMU fonts-hanazono to take
>> care of this.
>
> NMU uploaded to DELAYED/5
> Please let me know if I should delay it longer,

I did not notice your report.
Thank you for your work!

Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Sat, 16 Feb 2013 14:51:13 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sat, 16 Feb 2013 14:51:13 GMT) Full text and rfc822 format available.

Message #27 received at 700058-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 700058-close@bugs.debian.org
Subject: Bug#700058: fixed in fonts-hanazono 20120421-1.1
Date: Sat, 16 Feb 2013 14:48:02 +0000
Source: fonts-hanazono
Source-Version: 20120421-1.1

We believe that the bug you reported is fixed in the latest version of
fonts-hanazono, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700058@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated fonts-hanazono package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 11 Feb 2013 14:56:52 +0100
Source: fonts-hanazono
Binary: fonts-hanazono ttf-hanazono
Architecture: source all
Version: 20120421-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 fonts-hanazono - Japanese TrueType mincho font by KAGE system and FontForge
 ttf-hanazono - Transitional dummy package
Closes: 700058
Changes: 
 fonts-hanazono (20120421-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * ttf-hanazono.preinst: Unregister the ttf-japanese-mincho.ttf alternative.
   * fonts-hanazono.preinst: Clean up the ttf-japanese-mincho.ttf alternative
     set up by ttf-hanazono in squeeze. This needs to be done in fonts-hanazono
     as well since there is no guarantee that the transitional ttf-hanazono
     package was installed and did clean this up. Since new installations of
     fonts-hanazono cannot be distinguished from "upgrades" from ttf-hanazono
     this needs to be run on new installations, too.  (Closes: #700058)
Checksums-Sha1: 
 dac61b8b2ffb4b97deb4b2d2f182ddf5e8dc66f0 2069 fonts-hanazono_20120421-1.1.dsc
 644679556adf201d24324bf00a70885a6d03b350 6215 fonts-hanazono_20120421-1.1.debian.tar.gz
 e9a6827c0a2ac4b3e4a2e9ef10f6563d7dd00467 16952350 fonts-hanazono_20120421-1.1_all.deb
 e7970e476c8c909bfe34ef7bfb1e93ac29202c1c 5286 ttf-hanazono_20120421-1.1_all.deb
Checksums-Sha256: 
 a890b767e5f6dcb872e07a5c5667332acbbd21de7f44e186f5b19ef2108f8162 2069 fonts-hanazono_20120421-1.1.dsc
 7dd8b53aa7b33d083115b0bc0e90fa942ee6455597aaa38456c938e52e6d0bd7 6215 fonts-hanazono_20120421-1.1.debian.tar.gz
 89330d91dae1922415c952fe0639aaef8e937871869204e71a31be18b06cce06 16952350 fonts-hanazono_20120421-1.1_all.deb
 023fd5221f7d7b6ec7e1a900d22564c71be5d9ee1291a77e2e8eb6339c66a799 5286 ttf-hanazono_20120421-1.1_all.deb
Files: 
 1dd39dfcdae4b6d642cbc69c35fd3be3 2069 fonts optional fonts-hanazono_20120421-1.1.dsc
 d2396724c0f971bc643aabadf733a526 6215 fonts optional fonts-hanazono_20120421-1.1.debian.tar.gz
 42a247362dce7894a91bad813a847ec9 16952350 fonts optional fonts-hanazono_20120421-1.1_all.deb
 559d9d42b8412923b024665b797157a5 5286 oldlibs optional ttf-hanazono_20120421-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRGPoYAAoJEF+zP5NZ6e0Ig4oQAKiRbK27hJWki1Xt+Gnrlyzi
cDnYW7P4WQXKPT64C7/3aDldEfTZHxkWJPHV8JZLkufXVkJhlcxv250nVMIBx/Ty
Zsv2ge066fkrP0p/DnqDXwl1rfmQ4D2sAuUIyzssCReQ4zfQ1NCeEEMz1t8KLPVD
REMIt32TFP8PwDfiwTRE4MfdXwf5MD5RuUc0TNCO2FNd8D9nHAa7mxd1bdzoQQxz
6A9ftCieXc76k0U9IcEv7EooweU7jb/1LRzucI11Yff6u7lXW9vUvJgONl1SmUbw
C5FOhvgBW8hkPRrzYgzEv2zBjnjYyasQVAQBkysaKmcBJGDAmxXo0SjignP+2LGU
5ReW9cAqXKmTN//Bus7j3tujv08brXTMFb55goN3Iz2/ROlKcoIvg99YrI81IU3Y
ZSydiQy7G06/w215PCcmLsfMBXDvqs+d3NEYNV1OzpdRHDo2YfcIEGav8PYIRjFY
JB723YcZ3DGp0uuA185jE2YEeFs22deeULYa6VjwbJMchlDWtgghycdHJMiyJZ0W
fSMDbu3WK02EIjKOEbAGr8JI5QjED0Xb4N8fMzVA2GELeV/NiY+6GUwm2ddyqlm7
wuyuiEPxih14NfjQzwvLKqZC385mlmdIznC+O1r6cS1XoAuUF026QjwEpXFN06ni
W9a83Vw2Nfdar+EZaxe1
=iXxj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Mar 2013 07:26:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:18:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.